<?php
namespace Claromentis\Core\Message;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_aaa5c303d68b56e51" . "664da889c8f730c" => base64_decode("bGF1bmNoX3VybA" . "=="), "_38f12d8b" . "8c719a8ce" . "0fc2faefc" . "225f35" => base64_decode("YXJyYXlfbWF" . "w"), "_a51236f" . "5e7f12cf" . "84a77615" . "2098d24a" . "9" => base64_decode("dGV4dA=" . "="), "i" . "d" => base64_decode("aW" . "Q="), "_f656816961e8" . "573806141c558" . "b184fe2" => base64_decode("c3ViamVjdA" . "=="), "ty" . "pe" => base64_decode("dHlwZQ=" . "="));
use Claromentis\Core\Event\Event;





class SendAllEvent extends Event
{
    protected $message_info;
    protected $recipients_info;
    protected $sender_id;
    public function __construct(array $_bcfb24cb34fc79a85279a34d2eebb7c6, array $_d8d8c85bb480f08e1e1a52f9f29fa747, int $_f3c6503ca6d913adb51076e07b9a7a35)
    {
        $this->message_info = $_bcfb24cb34fc79a85279a34d2eebb7c6;
        $this->recipients_info = $_d8d8c85bb480f08e1e1a52f9f29fa747;
        $this->sender_id = $_f3c6503ca6d913adb51076e07b9a7a35;
    }
    
    
    
    
    public function GetMessageId() : int
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["i" . "d"]];
    }
    
    
    
    
    public function GetMessageType() : int
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["typ" . "e"]];
    }
    
    
    
    
    public function GetUsersId() : array
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_38f12d8b8c719a8ce0fc2fae" . "fc225f35"](function ($_a7d1b57fc9cf298f71cc4c520efc2d09) {
            return $_a7d1b57fc9cf298f71cc4c520efc2d09[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["i" . "d"]];
        }, $this->recipients_info);
    }
    
    
    
    
    public function GetRecipientsInfo() : array
    {
        return $this->recipients_info;
    }
    
    
    
    
    public function SetRecipientsInfo(array $_d8d8c85bb480f08e1e1a52f9f29fa747)
    {
        $this->recipients_info = $_d8d8c85bb480f08e1e1a52f9f29fa747;
    }
    
    
    
    
    public function GetSenderId() : int
    {
        return $this->sender_id;
    }
    
    
    
    
    public function GetMessageText() : string
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_a51236f5e7f12cf84a" . "776152098d24a9"]];
    }
    
    
    
    
    public function GetSubject()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_f656816961e857" . "3806141c558b184" . "fe2"]];
    }
    
    
    
    
    public function GetLaunchUrl()
    {
        return $this->message_info[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_aaa5c303d68b56e51664da889c8f" . "730c"]] ?? null;
    }
}